Skip to main content
GET
List action fields

Authorizations

Authorization
string
header
required

Paste an access token from Create an access token. Tokens expire, so request a new one if you receive 401.

Path Parameters

buildingId
string
required

Building identifier from List buildings.

datasourceId
string
required

Data source identifier from List building data sources.

action
string
required

Action name from List data source actions.

Response

Fields for the action.

identifier
string

Value to send as actions[].id.

Example:

"priority"

name
string
Example:

"priority"

displayName
string
Example:

"Priority"

dataType
string
Example:

"STRING"

inputType
string
Example:

"DROP_DOWN"

defaultValue
string
Example:

"override"

order
integer
Example:

1

options
object[]

Allowed values. Send the option _id.

metadata
object